
/* defs.h - written by Robert Vasvari 6/94 */

#define BUFSIZE 1024
#define DOC_EXTENSION "starter"
#define EXTENSION_STRINGS {DOC_EXTENSION,NULL}

#define SCALE_RECT(r,ratio) \
	NX_X(r)*=ratio; \
	NX_Y(r)*=ratio; \
	NX_WIDTH(r)*=ratio; \
	NX_HEIGHT(r)*=ratio \

#define DIVIDE_RECT(r,ratio) \
	NX_X(r)/=ratio; \
	NX_Y(r)/=ratio; \
	NX_WIDTH(r)/=ratio; \
	NX_HEIGHT(r)/=ratio \

#define SCALE_POINT(p,ratio) \
	(p.x)*=ratio; \
	(p.y)*=ratio \
	  
#define DIVIDE_POINT(p,ratio) \
	(p.x)/=ratio; \
	(p.y)/=ratio \
	  
#define SCALE_SIZE(p,ratio) \
	(p.width)*=ratio; \
	(p.height)*=ratio \
	  
#define DIVIDE_SIZE(p,ratio) \
	(p.width)/=ratio; \
	(p.height)/=ratio \
	  

#define GET_CENTER(r,c) \
	c.x=NX_MIDX(r); \
	c.y=NX_MIDY(r) \

